Subject: Re: rollover transition mechanism

From: Dean Anderson <[email-masked]>
Date: Thu, 22 Sep 2005 17:51:10 -0400 (EDT)

Err, I don't think Mike or David are correct. While many have lamented the "lack
of running code" for many RFCs, I think the official policy (RFC2026) for 2 or
more working implementations for "Draft Standard" status has not been changed.  

While there is no requirement for a _draft_ to have working code, obviously
chicken and egg, it is entirely appropriate for the chairs of various working
groups to criticize moving ahead drafts that aren't supported at all by working
code to "Proposed Standard" RFCs.  "Proposed Standard" status requires among
other things, that there be no technical omissions unless waived by the IESG. 

While a working implementation is not absolutely required, as RFC2026 notes in
section 4.1.1, working code is a strong argument in favor. It goes unsaid that
lack of working code is a strong argument against considering a draft mature
enough to become a "Proposed Standard".  Plainly, if no one is going to bother
to implement something, its consideration of RFC maturity is probably a waste of
time.

The recent failures [hence the grumbling about having "moved away"] of some WG
chairs to require working code does not alter the policy of the IETF.

If, however, the IETF policy has in fact been changed without my noticing,
please provide a link to the new controlling RFC updating this policy.

		--Dean

 On Wed, 21 Sep 2005, David Conrad wrote:

> Hi,
> 
> Having not read the draft, I can make no comment on it, however:
> 
> On Sep 21, 2005, at 1:54 PM, Mike StJohns wrote:
> >> The magic words are: implementation and testing. AFAIK Mike's
> >> proposal only consists of spec-ware (correct?).
> > In a private note to Olaf I pointed out that this is neither a  
> > requirement of becoming an ID nor of becoming an RFC.  Its not an  
> > appropriate comment from a WG chair to suggest this is a failing of  
> > an ID or proposal.
> 
> What Mike says is true.  The IETF moved away from "running code" long  
> ago.  To impose a requirement of implementation and testing on a  
> particular document and not others is ... questionable.  My personal  
> preference would be to require implementation for all drafts, but  
> that's neither here nor there...
> 
> Rgds,
> -drc
> 
> 
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/namedroppers/>
> 
> 

-- 
Av8 Internet   Prepared to pay a premium for better service?
www.av8.net         faster, more reliable, better service
617 344 9000   

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>